import java.applet.Applet;
import java.awt.Button;
import java.awt.Component;
import java.awt.Container;
import java.awt.Event;
import java.awt.Graphics;
import java.awt.Image;
import java.net.URL;

public class ImageApplet3 extends Applet {
   final int HALFSIZE;
   final int FULLSIZE = 1;
   final int DOUBLESIZE = 2;
   Image snake;
   int size;

   public void init() {
      Button var1 = new Button("50%");
      ((Container)this).add(var1);
      var1 = new Button("100%");
      ((Container)this).add(var1);
      var1 = new Button("200%");
      ((Container)this).add(var1);
      URL var2 = ((Applet)this).getCodeBase();
      this.snake = ((Applet)this).getImage(var2, "snake.gif");
      this.size = 1;
   }

   public void paint(Graphics var1) {
      int var2 = this.snake.getWidth(this);
      int var3 = this.snake.getHeight(this);
      if (this.size == 0) {
         int var6 = 75 - var2 / 4;
         var1.drawImage(this.snake, var6, 50, var2 / 2, var3 / 2, this);
         ((Applet)this).resize(150, var3 / 2 + 50);
      } else if (this.size == 1) {
         int var5 = 75 - var2 / 2;
         var1.drawImage(this.snake, var5, 50, this);
         ((Applet)this).resize(150, var3 + 50);
      } else {
         if (this.size == 2) {
            int var4 = (var2 * 2 + 50) / 2 - var2;
            var1.drawImage(this.snake, var4, 50, var2 * 2, var3 * 2, this);
            ((Applet)this).resize(var2 * 2 + 50, var3 * 2 + 50);
         }

      }
   }

   public boolean action(Event var1, Object var2) {
      if (var2 == "50%") {
         this.size = 0;
      } else if (var2 == "100%") {
         this.size = 1;
      } else if (var2 == "200%") {
         this.size = 2;
      }

      ((Component)this).repaint();
      return true;
   }
}
